%define major	0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define rel 4

Summary:	Plasmoid that displays real-time network traffic
Name:		socketsentry
Version:	0.9.3
Release:	%mkrel %{rel}
Source0:	http://socket-sentry.googlecode.com/files/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		http://socket-sentry.googlecode.com/
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	pcap-devel

%description
Socket Sentry is a KDE Plasma widget that displays real-time network
traffic on your Linux computer. It shows you which processes are
communicating with which hosts, current data transfer rates, protocols,
and more. Socket Sentry combines the best parts of tools like iftop and
netstat in a modern desktop interface that's approachable and
easy-to-use.

Features:

* Monitor one or all network devices in each widget
* See over 10 different stats and other characteristics of each
connection
* View all connections individually or group by host and process/program
* Sort by any column with secondary sorting by transfer rate
* Quick search box helps you find specific connections
* Optional hostname lookup with configurable subdomain depth
* Customizable filter rules using the pcap expression language
* IPv6 support
* Efficient data sharing across widgets to minimize resource use
* Configurable security for multiuser PCs


#-----------------------------------------------------------------------

%package service
Summary:	A D-Bus service that runs as root to collect network and process data
Group:		System/Libraries
Requires(post): rpm-helper
%description service
This package provide the D-Bus service which collect network and process
data for the plasma-applet-socket-sentry

%files service
%_kde_bindir/socksent-client
%_kde_bindir/socksent-service
%_sysconfdir/dbus-1/system.d/org.socketsentry.Watcher.conf
%_datadir/dbus-1/system-services/org.socketsentry.Watcher.service

#-----------------------------------------------------------------------
%define socketsentry_major 0
%define libsocketsentry %mklibname %{name} %socketsentry_major

%package -n	%{libsocketsentry}
Summary:	Library for %{name}
Group:		System/Libraries
%description -n %{libsocketsentry}
This package provides librairies for %{name}-service

%files -n %{libsocketsentry}
%_kde_libdir/libsocketsent-client-common.so.%{socketsentry_major}*

#-----------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n	%{develname}
Summary:	Library headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
%description -n %{develname}
this package provides developement files for %{name}

%files -n %{develname}
%_kde_libdir/libsocketsent-client-common.so


#-----------------------------------------------------------------------

%package -n plasma-dataengine-%{name}
Summary:	Engine of the socket sentry plasma applet
Group:		Graphical desktop/KDE
Requires:	%{name}-service
%description -n plasma-dataengine-%{name}
Engine of the socket sentry plasma applet

%files -n plasma-dataengine-%{name}
%_kde_libdir/kde4/socksent-plasma-engine.so
%_kde_services/socksent-plasma-engine.desktop

#-----------------------------------------------------------------------

%package -n plasma-applet-%{name}
Summary:	Plasmoid that displays real-time network traffic
Group:		Graphical desktop/KDE
Provides:	plasma-applet
Requires:	plasma-dataengine-%{name}
%description -n plasma-applet-%{name}
Socket Sentry is a KDE Plasma widget that displays real-time network
traffic on your Linux computer. It shows you which processes are
communicating with which hosts, current data transfer rates, protocols,
and more. Socket Sentry combines the best parts of tools like iftop and
netstat in a modern desktop interface that's approachable and
easy-to-use.

Features:

* Monitor one or all network devices in each widget
* See over 10 different stats and other characteristics of each
connection
* View all connections individually or group by host and process/program
* Sort by any column with secondary sorting by transfer rate
* Quick search box helps you find specific connections
* Optional hostname lookup with configurable subdomain depth
* Customizable filter rules using the pcap expression language
* IPv6 support
* Efficient data sharing across widgets to minimize resource use
* Configurable security for multiuser PCs

Please note that after installing or upgrading the applet you need to 
restart you Plasma Desktop session.

%files -n plasma-applet-%{name}
%_kde_libdir/kde4/socksent-plasma-widget.so
%_kde_services/socksent-plasma-widget.desktop
%_kde_datadir/icons/hicolor/*/apps/socketsentry.png
%_kde_datadir/icons/hicolor/64x64/apps/socketsentry_quiet.png
%_kde_datadir/icons/hicolor/64x64/apps/socketsentry_receiving.png
%_kde_datadir/icons/hicolor/64x64/apps/socketsentry_sending.png
%_kde_datadir/icons/hicolor/64x64/apps/socketsentry_sendingreceiving.png
%_kde_datadir/icons/hicolor/scalable/apps/socketsentry.svgz
%_kde_datadir/icons/hicolor/scalable/apps/socketsentry_quiet.svgz
%_kde_datadir/icons/hicolor/scalable/apps/socketsentry_receiving.svgz
%_kde_datadir/icons/hicolor/scalable/apps/socketsentry_sending.svgz
%_kde_datadir/icons/hicolor/scalable/apps/socketsentry_sendingreceiving.svgz

#-----------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %name

%pre service
%_pre_groupadd %name

%postun service
%_postun_groupdel %name


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-4.mga4
+ Revision: 530344
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 mikala <mikala> 0.9.3-3.mga4
+ Revision: 457347
- Rebuild for KDE SC 4.10.95

* Mon Jan 14 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 382286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 0.9.3-1.mga3
+ Revision: 305325
- cleanup spec

* Fri May 13 2011 mikala <mikala> 0.9.3-1.mga1
+ Revision: 97730
- imported package socketsentry

